<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.ar Class Hierarchy (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.ar Class Hierarchy (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li><a href="../../../../../com/here/android/mpa/cluster/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.here.android.mpa.ar</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARBuildingInfo.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARBuildingInfo</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.CameraParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.CameraParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.DownViewParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.DownViewParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.ExternalSensors.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.ExternalSensors</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.FilterParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.FilterParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.IconParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.IconParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.InfoParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.InfoParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.IntroAnimationParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.SelectedItemParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.UpViewParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.UpViewParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.UpViewTransitionParams.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARController.UpViewTransitionParams</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARModelObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARModelObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARBillboardObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARBillboardObject</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARMeshObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARMeshObject</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARIconObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARIconObject</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARPolylineObject.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARPolylineObject</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARPoseReading.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARPoseReading</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARRadarItem.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARRadarItem</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARRadarProperties.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">ARRadarProperties</span></a></li>
<li type="circle">android.app.Fragment (implements android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener)
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">CompositeFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">android.support.v4.app.Fragment (implements android.content.ComponentCallbacks, android.arch.lifecycle.LifecycleOwner, android.view.View.OnCreateContextMenuListener, android.arch.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">SupportCompositeFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">androidx.fragment.app.Fragment (implements android.content.ComponentCallbacks, androidx.lifecycle.LifecycleOwner, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">AndroidXCompositeFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/LineAttributes.html" title="class in com.here.android.mpa.ar"><span class="typeNameLink">LineAttributes</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnCameraEnteredListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnCameraEnteredListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnCameraExitedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnCameraExitedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnCompassCalibrationChangedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnCompassCalibrationChangedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnLivesightStatusListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnLivesightStatusListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnMapEnteredListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnMapEnteredListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnMapExitedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnMapExitedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnObjectTappedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnObjectTappedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPanListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPanListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPitchFunction.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPitchFunction</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPoseListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPoseListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPostPresentListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPostPresentListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPreDrawListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPreDrawListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPreDrawMapListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPreDrawMapListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnPrePresentListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnPrePresentListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnProjectionCameraUpdatedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnProjectionCameraUpdatedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnRadarUpdateListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnRadarUpdateListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnSensorCalibrationChangedListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnSensorCalibrationChangedListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnTapListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnTapListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnTouchDownListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnTouchDownListener</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.OnTouchUpListener.html" title="interface in com.here.android.mpa.ar"><span class="typeNameLink">ARController.OnTouchUpListener</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARObject.IconType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARObject.IconType</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARBillboardObject.Orientation.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARBillboardObject.Orientation</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARModelObject.ShadingMode.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARModelObject.ShadingMode</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.IntroAnimationMode.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARController.IntroAnimationMode</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.ViewType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARController.ViewType</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.ProjectionType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARController.ProjectionType</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.Error.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARController.Error</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/ARController.SensorType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">ARController.SensorType</span></a></li>
<li type="circle">com.here.android.mpa.ar.<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">AnimationInterpolator</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li><a href="../../../../../com/here/android/mpa/cluster/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
